// keychain
export const SIGN_UP = 'SIGN_UP';
export const UNLOCK = 'UNLOCK';
export const LOCK = 'LOCK';
export const INIT_ACCOUNTS = 'INIT_ACCOUNTS';

// accounts
export const ADD_ACCOUNT = 'ADD_ACCOUNT';
export const FORGET_ACCOUNTS = 'FORGET_ACCOUNTS';
export const FORGET_ACCOUNT = 'FORGET_ACCOUNT';
export const UPDATE_ACCOUNTS = 'UPDATE_ACCOUNTS';

// hive
export const ACTIVE_ACCOUNT = 'ACTIVE_ACCOUNT';
export const GLOBAL_PROPS = 'GLOBAL_PROPS';
export const ACTIVE_ACCOUNT_RC = 'ACTIVE_ACCOUNT_RC';
export const GET_CURRENCY_PRICES = 'GET_CURRENCY_PRICES';
export const GET_BLURT_PRICE = 'GET_BLURT_PRICE';
export const CLEAR_USER_TRANSACTIONS = 'CLEAR_USER_TRANSACTIONS';
export const INIT_TRANSACTIONS = 'INIT_TRANSACTIONS';
export const ADD_TRANSACTIONS = 'ADD_TRANSACTIONS';
export const FETCH_DELEGATEES = 'FETCH_DELEGATEES';
export const FETCH_DELEGATORS = 'FETCH_DELEGATORS';
export const FETCH_PHISHING_ACCOUNTS = 'FETCH_PHISHING_ACCOUNTS';
export const FETCH_CONVERSION_REQUESTS = 'FETCH_CONVERSION_REQUESTS';
// hive engine
export const LOAD_TOKENS = 'LOAD_TOKENS';
export const LOAD_USER_TOKENS = 'LOAD_USER_TOKENS';
export const LOAD_TOKENS_MARKET = 'LOAD_TOKENS_MARKET';
export const LOAD_TOKEN_HISTORY = 'LOAD_TOKEN_HISTORY';
export const CLEAR_TOKEN_HISTORY = 'CLEAR_TOKEN_HISTORY';
export const CLEAR_USER_TOKENS = 'CLEAR_USER_TOKENS';
//SETTINGS
export const SET_RPC = 'SET_RPC';
export const ADD_PREFERENCE = 'ADD_PREFERENCE';
export const REMOVE_PREFERENCE = 'REMOVE_PREFERENCE';

//Browser
export const ADD_TO_BROWSER_HISTORY = 'ADD_TO_BROWSER_HISTORY';
export const CLEAR_BROWSER_HISTORY = 'CLEAR_BROWSER_HISTORY';
export const ADD_TO_BROWSER_FAVORITES = 'ADD_TO_BROWSER_WHITELIST';
export const REMOVE_FROM_BROWSER_FAVORITES = 'REMOVE_FROM_BROWSER_WHITELIST';
export const ADD_BROWSER_TAB = 'CREATE_BROWSER_TAB';
export const CLOSE_BROWSER_TAB = 'CLOSE_BROWSER_TAB';
export const UPDATE_BROWSER_TAB = 'UPDATE_BROWSER_TAB';
export const CLOSE_ALL_BROWSER_TABS = 'CLOSE_ALL_BROWSER_TABS';
export const SET_ACTIVE_BROWSER_TAB = 'SET_ACTIVE_BROWSER_TAB';
export const BROWSER_FOCUS = 'BROWSER_FOCUS';
export const UPDATE_MANAGEMENT = 'UPDATE_MANAGEMENT';
export const FETCH_SAVINGS_REQUESTS = 'FETCH_SAVINGS_REQUESTS';

export enum HAS_ActionsTypes {
  REQUEST = 'HAS_REQUEST',
  REQUEST_TREATED = 'HAS_REQUEST_TREATED',
  ADD_TOKEN = 'HAS_ADD_TOKEN',
  ADD_SERVER_KEY = 'HAS_ADD_SERVER_KEY',
  CLEAR = 'HAS_CLEAR',
  UPDATE_INSTANCE_CONNECTION_STATUS = 'HAS_UPDATE_INSTANCE_CONNECTION_STATUS',
  REMOVE_SESSION = 'HAS_REMOVE_SESSION',
  ADD_WHITELISTED_OPERATION = 'HAS_ADD_WHITELISTED_OPERATION',
}

export enum HiveURIActionTypes {
  FORGET_OPERATION = 'FORGET_OPERATION',
  SAVE_OPERATION = 'SAVE_OPERATION',
}

//wallet filters
export const UPDATE_WALLET_FILTER = 'UPDATE_WALLET_FILTER';
export const CLEAR_WALLET_FILTERS = 'CLEAR_WALLET_FILTERS';
